libqt5gui5_5.5.1+dfsg-16ubuntu7.5_amd64.deb


Advertisement

Description

libqt5gui5 - Qt 5 GUI module

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package name libqt5gui5
Package version 5.5.1+dfsg
Package release 16ubuntu7.5
Package architecture amd64
Package type deb
Installed size 8.53 KB
Download size 2.18 MB
Official Mirror archive.ubuntu.com
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
The QtGui module extends QtCore with GUI functionality.

Alternatives

Package Version Architecture Repository
libqt5gui5_5.6.1+dfsg-3ubuntu1~xenialoverlay1~4+fix1_amd64.deb 5.6.1+dfsg amd64 Kubuntu Backports
libqt5gui5_5.6.1+dfsg-3ubuntu1~xenialoverlay1~4+fix1_i386.deb 5.6.1+dfsg i386 Kubuntu Backports
libqt5gui5_5.5.1+dfsg-16ubuntu7.5_i386.deb 5.5.1+dfsg i386 Ubuntu Updates Main
libqt5gui5_5.5.1+dfsg-16ubuntu7_i386.deb 5.5.1+dfsg i386 Ubuntu Main
libqt5gui5_5.5.1+dfsg-16ubuntu7_amd64.deb 5.5.1+dfsg amd64 Ubuntu Main
libqt5gui5 - - -

Requires

Name Value
fontconfig -
libc6 >= 2.14
libdrm2 >= 2.4.25
libegl1-mesa >= 7.8.1
libegl1-x11 -
libfontconfig1 >= 2.11.94
libfreetype6 >= 2.3.5
libgbm1 >= 8.1~0
libgcc1 >= 1:3.4
libgl1 -
libgl1-mesa-glx -
libglib2.0-0 >= 2.12.0
libharfbuzz0b >= 0.9.11
libice6 >= 1:1.0.0
libinput10 >= 0.15.0
libjpeg8 >= 8c
libmtdev1 >= 1.0.8
libpng12-0 >= 1.2.13-4
libqt5core5a >= 5.5.1
libqt5dbus5 >= 5.0.2
libqt5network5 >= 5.0.2
libsm6 -
libstdc++6 >= 4.1.1
libudev1 >= 183
libx11-6 -
libx11-xcb1 -
libxcb-glx0 -
libxcb-icccm4 >= 0.4.1
libxcb-image0 >= 0.2.1
libxcb-keysyms1 >= 0.4.0
libxcb-randr0 >= 1.3
libxcb-render-util0 -
libxcb-render0 -
libxcb-shape0 -
libxcb-shm0 -
libxcb-sync1 -
libxcb-xfixes0 -
libxcb-xkb1 -
libxcb1 >= 1.8
libxi6 >= 2:1.5.99.2
libxkbcommon-x11-0 >= 0.5.0
libxkbcommon0 >= 0.5.0
libxrender1 -
qtbase-abi-5-5-1 -
zlib1g >= 1:1.1.4

Replaces

Name Value
libqt5egldeviceintegration5 << 5.5.1+dfsg-13~
libqt5xcbqpa5 << 5.5.1+dfsg-13~

Download

Type URL
Binary Package libqt5gui5_5.5.1+dfsg-16ubuntu7.5_amd64.deb
Source Package qtbase-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5gui5 deb package:
    # sudo apt-get install libqt5gui5

Files

Path
/usr/lib/x86_64-linux-gnu/libQt5EglDeviceIntegration.so.5
/usr/lib/x86_64-linux-gnu/libQt5EglDeviceIntegration.so.5.5
/usr/lib/x86_64-linux-gnu/libQt5EglDeviceIntegration.so.5.5.1
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.5
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.5.1
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5.5
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5.5.1
/usr/lib/x86_64-linux-gnu/qt5/plugins/egldeviceintegrations/libqeglfs-kms-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/egldeviceintegrations/libqeglfs-x11-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevkeyboardplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevmouseplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevtabletplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevtouchplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqlibinputplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqtuiotouchplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/imageformats/libqgif.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/imageformats/libqico.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/imageformats/libqjpeg.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqeglfs.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqlinuxfb.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimal.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimalegl.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqoffscreen.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
/usr/share/doc/libqt5gui5/LGPL_EXCEPTION.txt
/usr/share/doc/libqt5gui5/changelog.Debian.gz
/usr/share/doc/libqt5gui5/copyright
/usr/share/lintian/overrides/libqt5gui5

Changelog

2017-05-03 - Dmitry Shachnev <mitya57@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.5) xenial; urgency=medium
* Backport upstream change to fix behavior of QMenuBar::isNativeMenuBar()
method (fix_isNativeMenuBar.diff). This should finally fix LP: #1380702.
2017-03-23 - Dmitry Shachnev <mitya57@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.4) xenial; urgency=medium
[ Elvis Stansvik ]
* debian/patches/xcb-compress-mouse-motion-and-touch-update-events.patch:
- Backport event compression fix from Qt 5.6 branch (LP: #1598173)
2017-03-13 - Dmitry Shachnev <mitya57@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.3) xenial; urgency=medium
* Backport upstream change to make shortcuts working with global menu
on Unity (global_menu_shortcuts.diff, LP: #1380702).
2016-09-12 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.2) xenial; urgency=medium
* debian/patches/Fix-parsing-of-tzfile-5-POSIX-rule-zone-names-with-b.patch:
- Backport a timezone conversion fix from Qt 5.6.2 (LP: #1622089)
2016-05-02 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7.1) xenial; urgency=medium
* debian/patches/Blacklist-Mali-T760-Mali-T720-from-supporting-BGRA.patch
- Backport from upstream 5.6 (LP: #1557915) (LP: #1559906)
* Add two patches from stable Qt 5.6 branch to fix another case of 
QXcbWindow crashes (LP: #1571158).
- debian/patches/Fix-crash-because-of-NULL-screen-in-QXcbWindow.patch
- debian/patches/QtGui-Don-t-set-a-screen-to-a-child-window.patch
* Fix drag and drop issues with patches from upstream. (LP: #1577313)
- debian/patches/xcb-Fix-drag-and-drop-to-Emacs.patch
- debian/patches/xcb-Fix-drag-and-drop-to-applications-like-Emacs-and.patch
2016-04-12 - Dmitry Shachnev <mitya57@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7) xenial; urgency=medium
[ Dmitry Shachnev ]
* Backport upstream change from 5.6 branch to implement better detection
of indicator-application based trays. Refs LP: #1546328.
* Update symbols files for symbols added in the latest patches.
[ Timo Jyrinki ]
* debian/patches/fix-duplicate-qnam-finished.patch:
- Fix multiple calls to signals of QNAM object (LP: #1564142)
2016-04-05 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu6) xenial; urgency=medium
[ Alberto Mardegan ]
* debian/patches/xcb_fix_parent_screen_of_embedded_windows.patch:
- Fix wrong size of embedded window. Fixed in upstream Qt 5.6.
(LP: #1564767)
2016-04-05 - Robie Basak <robie.basak@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu5) xenial; urgency=medium
* Rebuild against libmysqlclient20.
2016-03-29 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu4) xenial; urgency=medium
* debian/patches/qdoc-Wrap-QML-read-only-and-default-qualifiers-in-br.patch:
- Fix typos in property definitions. (LP: #1557259)
* Temporarily disable a test broken by glibc upgrade (LP: #1560528). 
2016-03-07 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu1) xenial; urgency=medium
* Merge with Debian 5.5.1+dfsg-16.

See Also

Package Description
libqt5network5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 network module
libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 OpenGL library development files
libqt5opengl5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 OpenGL module
libqt5printsupport5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 print support module
libqt5sql5-sqlite_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 SQLite 3 database driver
libqt5sql5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 SQL module
libqt5test5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 test module
libqt5widgets5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 widgets module
libqt5xml5_5.5.1+dfsg-16ubuntu7.5_amd64.deb Qt 5 XML module
libquadmath0_5.4.0-6ubuntu1~16.04.10_amd64.deb GCC Quad-Precision Math Library
libquorum-dev_2.3.5-3ubuntu2.1_amd64.deb cluster engine Quorum library development
libquorum5_2.3.5-3ubuntu2.1_amd64.deb cluster engine Quorum library
librados-dev_10.2.10-0ubuntu0.16.04.1_amd64.deb RADOS distributed object store client library (development files)
librados2_10.2.10-0ubuntu0.16.04.1_amd64.deb RADOS distributed object store client library
libradosstriper-dev_10.2.10-0ubuntu0.16.04.1_amd64.deb RADOS striping interface (development files)
Advertisement
Advertisement